Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 849535 - Some of the field documentation has disappeared
: Some of the field documentation has disappeared
Classification: Other
Component: General (show other bugs)
: Production
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
Depends on:
Blocks: bmo_4_2_regressions
  Show dependency treegraph
Reported: 2013-03-09 10:07 PST by Anthony Hughes (:ashughes) [GFX][QA][Mentor]
Modified: 2013-03-11 15:21 PDT (History)
4 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---

Patch to fix BMO custom help text not displaying properly (v1) (5.00 KB, patch)
2013-03-10 20:41 PDT, David Lawrence [:dkl]
glob: review+
Details | Diff | Splinter Review

Description Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-03-09 10:07:02 PST
Since upgrading to Bugzilla 4.2 I no longer see some of the field documentation. For example, there's no longer any definitions of the various importance/severity levels.
Comment 1 Frédéric Buclin 2013-03-09 10:12:48 PST
From an upstream point of view, this is WONTFIX. The severities are customizable and can have different meanings to different groups, so each installation should customize the page based on their needs, if they bother enough. Note that this page is about the meaning of fields themselves, not about their values. I will let dkl or glob mark it as wontfix if they don't want to fix this for bmo.
Comment 2 David Lawrence [:dkl] 2013-03-10 20:41:12 PDT
Created attachment 723322 [details] [diff] [review]
Patch to fix BMO custom help text not displaying properly (v1)

Stumped on this one so if you could take a look over me and see what I am missing. One fix I did was to add [% USE Bugzilla %] to the field-help-end.none.tmpl BMO hook. This allows the template to be used for page/fields.html.tmpl but this caused a recursion error due to display_value.

Bugzilla::Util::display_value calls Bugzilla::Util::template_var which loads global/field-descs.none.tmpl which calls bug/field-help.none.tmpl which calls BMO's bug/field-help-end.tmpl and so on.

Need to find a way for display_value to be allowed inside of field-descs.none.tmpl and its children or we could just remove the use of display_value entirely as I have done in this patch.

Let me know your thoughts.
Comment 3 Byron Jones ‹:glob› 2013-03-11 00:26:46 PDT
Comment on attachment 723322 [details] [diff] [review]
Patch to fix BMO custom help text not displaying properly (v1)


i'm happy dropping the display_value() calls.
Comment 4 David Lawrence [:dkl] 2013-03-11 15:21:43 PDT
Committing to: bzr+ssh://         
modified extensions/BMO/template/en/default/hook/bug/field-help-end.none.tmpl
Committed revision 8646.

Note You need to log in before you can comment on or make changes to this bug.